Summary:	Utilities for lm_sensors
Name:		i2c
Version:	2.7.0
Release:	1
Source0:	http://www.lm-sensors.nu/archive/%{name}-%{version}.tar.gz
Patch0:		%{name}.patch
URL:		http://www.lm-sensors.nu/
License:	GPL
Group:		Utilities
Packager: 	linuxkid <linux@peanutlinux.org>
BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	rrdtool lm_sensors linux >= 2.4.20
BuildRequires:	rrdtool-devel
%define prefix   /usr

%description
This package contains a collection of user space tools for general SMBus
access and hardware monitoring. SMBus, also known as System Management Bus,
is a protocol for communicating through a I2C ('I squared C') bus. Many modern
mainboards have a System Management Bus. There are a lot of devices which can
be connected to a SMBus; the most notable are modern memory chips with EEPROM
memories and chips for hardware monitoring.

Most modern mainboards incorporate some form of hardware monitoring chips.
These chips read things like chip temperatures, fan rotation speeds and
voltage levels. There are quite a few different chips which can be used
by mainboard builders for approximately the same results.

You might want to use this package while building applications that might
take advantage of lm_sensors if found.

%package devel
Summary:        Development libraries and header files for i2c
Group:          Development/C

%description devel
Development libraries and header files for i2c.

%prep
%setup -q
%patch0 -p1

%build
%define MAKE_DEFS COMPILE_KERNEL=0 WARN=1 PREFIX=/usr LINUX=/usr/src/linux I2C_HEADERS=/usr/src/linux/include ETCDIR=%{_sysconfdir} MANDIR=%{_mandir} DESTDIR=$RPM_BUILD_ROOT

make dep
make all CC="gcc $RPM_OPT_FLAGS"
make PROG_EXTRA:=sensord

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/lib/modules/2.4.20/kernel/drivers/i2c
mv $RPM_BUILD_ROOT/lib/modules/2.4.20/misc/* $RPM_BUILD_ROOT/lib/modules/2.4.20/kernel/drivers/i2c/
rm -rf $RPM_BUILD_ROOT/lib/modules/2.4.20/misc/
mkdir -p $RPM_BUILD_ROOT/usr/src/linux/include
mv $RPM_BUILD_ROOT/usr/include/linux $RPM_BUILD_ROOT/usr/src/linux/include

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/lib

%files devel
%defattr(-,root,root)
/usr/src/linux
